summaryrefslogtreecommitdiff
path: root/dmake
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:50:24 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:50:24 +0000
commit7c5a41509ee1a5f835920ec1cd6e7ccb060165c6 (patch)
treeacc01a369652500600a809052e40b3109d13982d /dmake
parent4d1933b86be0699c6a0fd1ad4a0cded71cc36994 (diff)
INTEGRATION: CWS dmake411 (1.1.2); FILE ADDED
2007/08/09 02:00:36 vq 1.1.2.1: #i67709# Add testcase.
Diffstat (limited to 'dmake')
-rwxr-xr-xdmake/tests/recipes-8104
1 files changed, 104 insertions, 0 deletions
diff --git a/dmake/tests/recipes-8 b/dmake/tests/recipes-8
new file mode 100755
index 000000000000..b4264a33df0c
--- /dev/null
+++ b/dmake/tests/recipes-8
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# 08.08.2007 Volker Quetschke
+# Test group recipes syntax check.
+# (issue 67709)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Test 1
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+GROUPSHELL*:=/bin/sh
+
+all :
+[ This should warn!
+ @echo "Group recipe line"
+]
+
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1 2>&1`
+result1=$?
+
+if test $result1 != 0 && echo $output1 | grep 'Warning: -- Found non-white space character after' > /dev/null 2>&1 ; then
+ echo "Subtest 1: OK"
+ result1=0
+else
+ echo "Subtest 1: Wrong result: $output1"
+ echo
+ result1=1
+fi
+
+
+# Test 2
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+GROUPSHELL*:=/bin/sh
+
+all :
+ echo hallo
+[
+ echo "Group recipe line"
+]
+
+EOT
+
+output2=`eval ${DMAKEPROG} -r -f $file1 2>&1`
+result2=$?
+
+if test $result2 != 0 && echo $output2 | grep 'Error: -- Cannot mix single and group recipe lines.' > /dev/null 2>&1 ; then
+ echo "Subtest 2: OK"
+ result2=0
+else
+ echo "Subtest 2: Wrong result: $output2"
+ echo
+ result2=1
+fi
+
+
+# Test 3
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+GROUPSHELL*:=/bin/sh
+
+all :
+[
+ [
+ echo "Group recipe line"
+]
+
+EOT
+
+output3=`eval ${DMAKEPROG} -r -f $file1 2>&1`
+result3=$?
+if test $result3 != 0 && echo $output3 | grep 'Error: -- New group recipe begin found within group recipe.' > /dev/null 2>&1 ; then
+ echo "Subtest 3: OK"
+ result3=0
+else
+ echo "Subtest 3: Wrong result: $output3"
+ echo
+ result3=1
+fi
+
+
+
+if test $result1 -eq 0 -a $result2 -eq 0 \
+ -a $result3 -eq 0 ; then
+ echo "Success - Cleaning up" && rm -f ${tmpfiles}
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi